---
title: pydo.monitoring.get_droplet_autoscale_target_instances()
description: Get Droplet Autoscale Pool Target Size
product: Reference
url: https://docs.digitalocean.com/reference/pydo/reference/monitoring/get_droplet_autoscale_target_instances/
last_updated: "2026-10-01"
---

> **For AI agents:** The documentation index is at [https://docs.digitalocean.com/llms.txt](https://docs.digitalocean.com/llms.txt). Markdown versions of pages use the same URL with `index.html.md` in place of the HTML page (for example, append `index.html.md` to the directory path instead of opening the HTML document).

# pydo.monitoring.get_droplet_autoscale_target_instances()

Generated on 1 Oct 2026 from `pydo` version [`v0.43.0`](https://github.com/digitalocean/pydo/releases/tag/v0.43.0v0.43.0)

## Usage

```python
client.monitoring.get_droplet_autoscale_target_instances(
    autoscale_pool_id="0d3db13e-a604-4944-9827-7ec2642d32ac",
    start="1620683817",
    end="1620705417",
)
```

Returns `JSON`Raises `HttpResponseError`

## Description

To retrieve the target size for a given Droplet Autoscale Pool, send a GET request to [`/v2/monitoring/metrics/droplet_autoscale/target_instances`](https://docs.digitalocean.com/reference/api/reference/monitoring/index.html.md#monitoring_get_droplet_autoscale_target_instances).

## Parameters

`autoscale_pool_id` string required

A unique identifier for an autoscale pool.

`start` string required

UNIX timestamp to start metric window.

`end` string required

UNIX timestamp to end metric window.

## Response Example

## Show Response Example

```json
{
  "data": {
    "result": [],
    "resultType": "matrix"
  },
  "status": "success"
}
```

## More Information

See [`/v2/monitoring/metrics/droplet_autoscale/target_instances`](https://docs.digitalocean.com/reference/api/reference/monitoring/index.html.md#monitoring_get_droplet_autoscale_target_instances) in the API reference for additional detail on responses, headers, parameters, and more.